import { lazy, Suspense } from "react";
import type { PathRouteProps } from "react-router-dom";

import SiteStart from "Sites/Start";
import SiteImprint from "./Legal/imprint";

export const routes: Array<PathRouteProps> = [
  {
    path: "/",
    element: <SiteStart />,
  },
  {
    path: "/legal/imprint",
    element: (
      <Suspense fallback={<></>}>
        <SiteImprint />
      </Suspense>
    ),
  },
];

export const privateRoutes: Array<PathRouteProps> = [];
