import { ChakraProvider, ColorModeScript } from "@chakra-ui/react";
import { StrictMode } from "react";
import ReactDOM from "react-dom";

// fonts
import "Styles/fonts/gilroy/stylesheet.css";
import "Styles/fonts/fluro.css";

import App from "./App";
import { theme } from "Styles/customTheme";
import { domAnimation, LazyMotion } from "framer-motion";

ReactDOM.render(
  <StrictMode>
    <ColorModeScript initialColorMode={theme.config.initialColorMode} />
    <ChakraProvider theme={theme}>
      <LazyMotion strict features={domAnimation}>
        <App />
      </LazyMotion>
    </ChakraProvider>
  </StrictMode>,
  document.getElementById("root")
);
